
%define distinitials           mdk 
%define disttag %{distinitials}%{distversion}
%define distversion %(rpm -qf --qf='%{VERSION}' /etc/mandrake-release)
%define release 4mdk

%define name    mDNSResponder 
%define version 98
%define lib_name_orig libmdns
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define lib_nick_name %mklibname %{lib_name_orig} %{lib_major}

# Source Package
Name:           %{name} 
Summary:        Provides Name-to-address translation and Discovery of Services for Zeroconf 
Version:        %{version} 
Release:        %{release} 
Source0:        http://darwinsource.opendarwin.org/tarballs/apsl/%{name}-%{version}.tar.bz2
Patch0:		mDNSPosix-98-Makefile.patch.bz2
Patch1:		mDNSPosix-98-mdnsd.sh.patch.bz2
Patch2:		mDNSResponder-98-fix-makefile-x86_64.patch.bz2
URL:            http://developer.apple.com/darwin/projects/rendezvous/
Group:          System/Servers 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        Apple Public Source License
Prereq:		rpm-helper
Conflicts:	tmdns

%description
mDNSResponder provides two of three requirements for Zero
Configuration Networking, namely parts:
2. Name-to-address translation (even when there is no DNS server)
3. Discovery of Services on the network (again, without infrastucture)

# Library Package
%package -n %{lib_name}

Summary:	Library for mDNSResponder
Group:		System/Libraries
Provides:       %{lib_name} = %{version}-%{release}
Provides:	%lib_name_orig = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with mDNSResponder.

# Header Package
%package -n %{lib_name}-devel

Summary:	Headers for developing programs that will use mDNSResponder
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name}-devel = %{version}-%{release}
Provides:	%{lib_nick_name}-devel = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}    
Provides:	libmDNSResponder-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use mDNSResponder.

# Daemon Package
%package -n %{name}-daemon

Summary:	Daemon and init.d packages for mDNSResponder
Group:		System/Servers
Requires:	bash rpm-helper %{lib_name} = %{version} %{lib_name}-devel = %{version}
Prereq:		rpm-helper
Conflicts:	tmdns

%description -n %{name}-daemon
This package contains the mdns daemon and rc.d scripts for mDNSResponder.

mDNSResponder provides two of three requirements for Zero
Configuration Networking, namely parts:
2. Name-to-address translation (even when there is no DNS server)
3. Discovery of Services on the network (again, without infrastucture)


%prep 
%setup -q 

%patch2 -p1 -b .fix_mdnsresponder_x86_64
cd mDNSPosix
%patch0 -p1	
%patch1 -p1

%build 
cd mDNSPosix
%make os=linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{_tmppath}/%{name}-%{version}-%{release}-buildroot/{etc/rc.d/rc{0,2,3,4,5,6}.d,etc/rc.d/init.d,%{_includedir},%{_sbindir},%{_libdir},%{_mandir}/man{5,8}}
cd mDNSPosix
#%make os=linux BINDESTDIR=$RPM_BUILD_ROOT%{_sbindir} LIBDESTDIR=$RPM_BUILD_ROOT%{_libdir} INCDESTDIR=$RPM_BUILD_ROOT%{_includedir} STARTUPSCRIPTDIR=$RPM_BUILD_ROOT/etc/rc.d/init.d RUNLEVELSCRIPTSDIR=$RPM_BUILD_ROOT/etc/rc.d install
%make os=linux NSLIBPATH=$RPM_BUILD_ROOT/%{_libdir} NSSINSTPATH=$RPM_BUILD_ROOT%{_libdir} INSTBASE=$RPM_BUILD_ROOT%{_prefix} MANPATH=$RPM_BUILD_ROOT%{_mandir} ETCDESTDIR=$RPM_BUILD_ROOT/etc STARTUPSCRIPTDIR=$RPM_BUILD_ROOT/etc/rc.d/init.d RUNLEVELSCRIPTSDIR=$RPM_BUILD_ROOT/etc/rc.d install
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K16mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc0.d/S52mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K16mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S52mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc3.d/K16mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S52mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc4.d/K16mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S52mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc5.d/K16mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S52mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K16mdns
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc6.d/S52mdns
rm -f $RPM_BUILD_ROOT%{_libdir}/libdns_sd.so

(
cd $RPM_BUILD_ROOT%{_libdir}/
ln -s libdns_sd.so.1 libdns_sd.so
)

%clean 
rm -rf $RPM_BUILD_ROOT 

# Library
%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,0755)
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%{_libdir}/libdns_sd.so.1
%{_libdir}/libnss_mdns-0.2.so

# Headers
%post -n %{lib_name}-devel

%postun -n %{lib_name}-devel

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%{_includedir}/dns_sd.h
%{_libdir}/libdns_sd.so

# Daemon
%post -n %{name}
%_post_service mdns
/sbin/chkconfig --add mdns

%preun -n %{name}
%_preun_service mdns
/sbin/chkconfig --del mdns

%files -n %{name}
%defattr(-,root,root,0755)
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%{_sbindir}/mdnsd
/etc/rc.d/init.d/mdns
%config(noreplace) %_sysconfdir/nss_mdns.conf
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Mon Apr 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 98 -4mdk 
- Fix provides

* Sun Apr 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 98-3mdk
- Add patch3: Fix compile under x86_64

* Fri Apr 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 98 -2mdk 
- Fix create link

* Mon Mar 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 98-1mdk
- from Torbjorn Turpeinen <tobbe@nyvalls.se> :
	- Updated to latest version

* Tue May 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 62-1mdk
- provides libmDNSResponder-devel
- from Robin Perkins <robin.perkins@internode.on.net> : 
	- Patch to mDNSPosix Makefile for packageing purposes
	- Initial Packaging
